import { LogMessageParams } from '../../protocol';
import { Client } from '../client';
import { StaticFeature } from './common';
/**
 * Support for server log messages (window/logMessage notifications from the server).
 */
export declare class WindowLogMessageFeature implements StaticFeature {
    private client;
    /** Called when the client receives a window/logMessage notification. */
    private logMessage;
    constructor(client: Client, 
    /** Called when the client receives a window/logMessage notification. */
    logMessage: (params: LogMessageParams) => void);
    initialize(): void;
}
