"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
/** Flattens and compacts the argument. If it is null or if the result is empty, it returns null. */
function flattenAndCompact(value) {
    if (value === null) {
        return null;
    }
    const merged = util_1.flatten(util_1.compact(value));
    return merged.length === 0 ? null : merged;
}
exports.flattenAndCompact = flattenAndCompact;
//# sourceMappingURL=util.js.map