import { CXP, Observable, Window, Windows } from '../api';
/**
 * Creates the CXP extension API's {@link CXP#windows} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#windows} value.
 */
export declare function createExtWindows<C>(ext: Pick<CXP<C>, 'rawConnection'>): Windows & Observable<Window[]>;
