import { LogMessageNotification } from '../../protocol';
/**
 * Support for server log messages (window/logMessage notifications from the server).
 */
export class WindowLogMessageFeature {
    constructor(client, 
    /** Called when the client receives a window/logMessage notification. */
    logMessage) {
        this.client = client;
        this.logMessage = logMessage;
    }
    initialize() {
        // TODO(sqs): no way to unregister this
        this.client.onNotification(LogMessageNotification.type, this.logMessage);
    }
}
//# sourceMappingURL=logMessage.js.map