import { compact, flatten } from '../../util';
/** Flattens and compacts the argument. If it is null or if the result is empty, it returns null. */
export function flattenAndCompact(value) {
    if (value === null) {
        return null;
    }
    const merged = flatten(compact(value));
    return merged.length === 0 ? null : merged;
}
//# sourceMappingURL=util.js.map