import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to provide code lens for the given text document.
 */
export var CodeLensRequest;
(function (CodeLensRequest) {
    CodeLensRequest.type = new RequestType('textDocument/codeLens');
})(CodeLensRequest || (CodeLensRequest = {}));
/**
 * A request to resolve a command for a given code lens.
 */
export var CodeLensResolveRequest;
(function (CodeLensResolveRequest) {
    CodeLensResolveRequest.type = new RequestType('codeLens/resolve');
})(CodeLensResolveRequest || (CodeLensResolveRequest = {}));
//# sourceMappingURL=codeLens.js.map