import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to resolve the definition location of a symbol at a given text
 * document position. The request's parameter is of type [TextDocumentPosition]
 * (#TextDocumentPosition) the response is of type [Definition](#Definition) or a
 * Thenable that resolves to such.
 */
export var DefinitionRequest;
(function (DefinitionRequest) {
    DefinitionRequest.type = new RequestType('textDocument/definition');
})(DefinitionRequest || (DefinitionRequest = {}));
//# sourceMappingURL=definition.js.map