import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to to format a whole document.
 */
export var DocumentFormattingRequest;
(function (DocumentFormattingRequest) {
    DocumentFormattingRequest.type = new RequestType('textDocument/formatting');
})(DocumentFormattingRequest || (DocumentFormattingRequest = {}));
/**
 * A request to to format a range in a document.
 */
export var DocumentRangeFormattingRequest;
(function (DocumentRangeFormattingRequest) {
    DocumentRangeFormattingRequest.type = new RequestType('textDocument/rangeFormatting');
})(DocumentRangeFormattingRequest || (DocumentRangeFormattingRequest = {}));
/**
 * A request to format a document on type.
 */
export var DocumentOnTypeFormattingRequest;
(function (DocumentOnTypeFormattingRequest) {
    DocumentOnTypeFormattingRequest.type = new RequestType('textDocument/onTypeFormatting');
})(DocumentOnTypeFormattingRequest || (DocumentOnTypeFormattingRequest = {}));
//# sourceMappingURL=formatting.js.map