import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to resolve the implementation locations of a symbol at a given text
 * document position. The request's parameter is of type [TextDocumentPositioParams]
 * (#TextDocumentPositionParams) the response is of type [Definition](#Definition) or a
 * Thenable that resolves to such.
 */
export var ImplementationRequest;
(function (ImplementationRequest) {
    ImplementationRequest.type = new RequestType('textDocument/implementation');
})(ImplementationRequest || (ImplementationRequest = {}));
//# sourceMappingURL=implementation.js.map