import { RequestType } from '../jsonrpc2/messages';
/**
 * The `client/registerCapability` request is sent from the server to the client to register a new capability
 * handler on the client side.
 */
export var RegistrationRequest;
(function (RegistrationRequest) {
    RegistrationRequest.type = new RequestType('client/registerCapability');
})(RegistrationRequest || (RegistrationRequest = {}));
/**
 * The `client/unregisterCapability` request is sent from the server to the client to unregister a previously registered capability
 * handler on the client side.
 */
export var UnregistrationRequest;
(function (UnregistrationRequest) {
    UnregistrationRequest.type = new RequestType('client/unregisterCapability');
})(UnregistrationRequest || (UnregistrationRequest = {}));
//# sourceMappingURL=registration.js.map