import { Commands, CXP } from '../api';
/**
 * Creates the CXP extension API's {@link CXP#commands} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#commands} value.
 */
export declare function createExtCommands(ext: Pick<CXP<any>, 'rawConnection'>): Commands;
