import { CXP, ExtensionContext } from '../api';
/**
 * Creates the CXP extension API's {@link CXP#context} value.
 *
 * @param ext The CXP extension API handle.
 * @return The {@link CXP#context} value.
 */
export declare function createExtContext(ext: Pick<CXP<any>, 'rawConnection'>): ExtensionContext;
