import { RequestType } from '../jsonrpc2/messages';
/**
 * Request to resolve a [DocumentHighlight](#DocumentHighlight) for a given
 * text document position. The request's parameter is of type [TextDocumentPosition]
 * (#TextDocumentPosition) the request response is of type [DocumentHighlight[]]
 * (#DocumentHighlight) or a Thenable that resolves to such.
 */
export var DocumentHighlightRequest;
(function (DocumentHighlightRequest) {
    DocumentHighlightRequest.type = new RequestType('textDocument/documentHighlight');
})(DocumentHighlightRequest || (DocumentHighlightRequest = {}));
//# sourceMappingURL=documentHighlight.js.map