import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to provide document links
 */
export var DocumentLinkRequest;
(function (DocumentLinkRequest) {
    DocumentLinkRequest.type = new RequestType('textDocument/documentLink');
})(DocumentLinkRequest || (DocumentLinkRequest = {}));
/**
 * Request to resolve additional information for a given document link. The request's
 * parameter is of type [DocumentLink](#DocumentLink) the response
 * is of type [DocumentLink](#DocumentLink) or a Thenable that resolves to such.
 */
export var DocumentLinkResolveRequest;
(function (DocumentLinkResolveRequest) {
    DocumentLinkResolveRequest.type = new RequestType('documentLink/resolve');
})(DocumentLinkResolveRequest || (DocumentLinkResolveRequest = {}));
//# sourceMappingURL=documentLink.js.map