import { RequestType } from '../jsonrpc2/messages';
/**
 * Request to request hover information at a given text document position. The request's
 * parameter is of type [TextDocumentPosition](#TextDocumentPosition) the response is of
 * type [Hover](#Hover) or a Thenable that resolves to such.
 */
export var HoverRequest;
(function (HoverRequest) {
    HoverRequest.type = new RequestType('textDocument/hover');
})(HoverRequest || (HoverRequest = {}));
//# sourceMappingURL=hover.js.map