import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to resolve project-wide references for the symbol denoted
 * by the given text document position. The request's parameter is of
 * type [ReferenceParams](#ReferenceParams) the response is of type
 * [Location[]](#Location) or a Thenable that resolves to such.
 */
export var ReferencesRequest;
(function (ReferencesRequest) {
    ReferencesRequest.type = new RequestType('textDocument/references');
})(ReferencesRequest || (ReferencesRequest = {}));
//# sourceMappingURL=reference.js.map