import { RequestType } from '../jsonrpc2/messages';
/**
 * A request to resolve the type definition locations of a symbol at a given text
 * document position. The request's parameter is of type [TextDocumentPositioParams]
 * (#TextDocumentPositionParams) the response is of type [Definition](#Definition) or a
 * Thenable that resolves to such.
 */
export var TypeDefinitionRequest;
(function (TypeDefinitionRequest) {
    TypeDefinitionRequest.type = new RequestType('textDocument/typeDefinition');
})(TypeDefinitionRequest || (TypeDefinitionRequest = {}));
//# sourceMappingURL=typeDefinition.js.map